cmdargs

System.Console.CmdArgs.Test.Implicit.Util

# Documentation

toDemo :: (Typeable a, Show a) => Mode (CmdArgs a) -> Mode Demo

invalid :: Data a => (() -> a) -> IO ()

data Tester a

Constructors

Tester |
Fields (===) :: [String] -> a -> IO () fails :: [String] -> IO () isHelp :: [String] -> [String] -> IO () isHelpNot :: [String] -> [String] -> IO () isVersion :: [String] -> String -> IO () isVerbosity :: [String] -> Verbosity -> IO ()

testers :: (Show a, Eq a) => String -> [Mode (CmdArgs a)] -> Tester a

tester :: (Show a, Eq a) => String -> Mode (CmdArgs a) -> Tester a

match :: [String] -> [String] -> Bool

matchLine :: String -> String -> Bool